## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanUnicode Struct Reference

`#include <XalanUnicode.hpp>`

List of all members.

## Public Types

- enum {
  charHTab = 0x09, charLF = 0x0A, charFF = 0x0C, charCR = 0x0D,
  charSpace = 0x20, charExclamationMark = 0x21, charQuoteMark = 0x22, charNumberSign = 0x23,
  charDollarSign = 0x24, charPercentSign = 0x25, charAmpersand = 0x26, charApostrophe = 0x27,
  charLeftParenthesis = 0x28, charRightParenthesis = 0x29, charAsterisk = 0x2A, charPlusSign = 0x2B,
  charComma = 0x2C, charHyphenMinus = 0x2D, charFullStop = 0x2E, charSolidus = 0x2F,
  charDigit_0 = 0x30, charDigit_1 = 0x31, charDigit_2 = 0x32, charDigit_3 = 0x33,
  charDigit_4 = 0x34, charDigit_5 = 0x35, charDigit_6 = 0x36, charDigit_7 = 0x37,
  charDigit_8 = 0x38, charDigit_9 = 0x39, charColon = 0x3A, charSemicolon = 0x3B,
  charLessThanSign = 0x3C, charEqualsSign = 0x3D, charGreaterThanSign = 0x3E, charQuestionMark = 0x3F,
  charCommercialAt = 0x40, charLetter_A = 0x41, charLetter_B = 0x42, charLetter_C = 0x43,
  charLetter_D = 0x44, charLetter_E = 0x45, charLetter_F = 0x46, charLetter_G = 0x47,
  charLetter_H = 0x48, charLetter_I = 0x49, charLetter_J = 0x4A, charLetter_K = 0x4B,
  charLetter_L = 0x4C, charLetter_M = 0x4D, charLetter_N = 0x4E, charLetter_O = 0x4F,
  charLetter_P = 0x50, charLetter_Q = 0x51, charLetter_R = 0x52, charLetter_S = 0x53,
  charLetter_T = 0x54, charLetter_U = 0x55, charLetter_V = 0x56, charLetter_W = 0x57,
  charLetter_X = 0x58, charLetter_Y = 0x59, charLetter_Z = 0x5A, charLeftSquareBracket = 0x5B,
  charReverseSolidus = 0x5C, charRightSquareBracket = 0x5D, charCircumflexAccent = 0x5E, charLowLine = 0x5F,
  charGraveAccent = 0x60, charLetter_a = 0x61, charLetter_b = 0x62, charLetter_c = 0x63,
  charLetter_d = 0x64, charLetter_e = 0x65, charLetter_f = 0x66, charLetter_g = 0x67,
  charLetter_h = 0x68, charLetter_i = 0x69, charLetter_j = 0x6A, charLetter_k = 0x6B,
  charLetter_l = 0x6C, charLetter_m = 0x6D, charLetter_n = 0x6E, charLetter_o = 0x6F,
  charLetter_p = 0x70, charLetter_q = 0x71, charLetter_r = 0x72, charLetter_s = 0x73,
  charLetter_t = 0x74, charLetter_u = 0x75, charLetter_v = 0x76, charLetter_w = 0x77,
  charLetter_x = 0x78, charLetter_y = 0x79, charLetter_z = 0x7A, charLeftCurlyBracket = 0x7B,
  charVerticalLine = 0x7C, charRightCurlyBracket = 0x7D, charNEL = 0x85, charLSEP = 0x2028,
  charPerMilleSign = 0x2030
  }

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  charHTab |
  charLF |
  charFF |
  charCR |
  charSpace |
  charExclamationMark |
  charQuoteMark |
  charNumberSign |
  charDollarSign |
  charPercentSign |
  charAmpersand |
  charApostrophe |
  charLeftParenthesis |
  charRightParenthesis |
  charAsterisk |
  charPlusSign |
  charComma |
  charHyphenMinus |
  charFullStop |
  charSolidus |
  charDigit_0 |
  charDigit_1 |
  charDigit_2 |
  charDigit_3 |
  charDigit_4 |
  charDigit_5 |
  charDigit_6 |
  charDigit_7 |
  charDigit_8 |
  charDigit_9 |
  charColon |
  charSemicolon |
  charLessThanSign |
  charEqualsSign |
  charGreaterThanSign |
  charQuestionMark |
  charCommercialAt |
  charLetter_A |
  charLetter_B |
  charLetter_C |
  charLetter_D |
  charLetter_E |
  charLetter_F |
  charLetter_G |
  charLetter_H |
  charLetter_I |
  charLetter_J |
  charLetter_K |
  charLetter_L |
  charLetter_M |
  charLetter_N |
  charLetter_O |
  charLetter_P |
  charLetter_Q |
  charLetter_R |
  charLetter_S |
  charLetter_T |
  charLetter_U |
  charLetter_V |
  charLetter_W |
  charLetter_X |
  charLetter_Y |
  charLetter_Z |
  charLeftSquareBracket |
  charReverseSolidus |
  charRightSquareBracket |
  charCircumflexAccent |
  charLowLine |
  charGraveAccent |
  charLetter_a |
  charLetter_b |
  charLetter_c |
  charLetter_d |
  charLetter_e |
  charLetter_f |
  charLetter_g |
  charLetter_h |
  charLetter_i |
  charLetter_j |
  charLetter_k |
  charLetter_l |
  charLetter_m |
  charLetter_n |
  charLetter_o |
  charLetter_p |
  charLetter_q |
  charLetter_r |
  charLetter_s |
  charLetter_t |
  charLetter_u |
  charLetter_v |
  charLetter_w |
  charLetter_x |
  charLetter_y |
  charLetter_z |
  charLeftCurlyBracket |
  charVerticalLine |
  charRightCurlyBracket |
  charNEL |
  charLSEP |
  charPerMilleSign |

The documentation for this struct was generated from the following file:

- XalanUnicode.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.